Lookup NUBAN
curl --request GET \
--url https://api.dojah.io/api/v1/kyc/nuban \
--header 'AppId: <appid>' \
--header 'Authorization: <api-key>'import requests
url = "https://api.dojah.io/api/v1/kyc/nuban"
headers = {
"AppId": "<appid>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AppId: '<appid>', Authorization: '<api-key>'}};
fetch('https://api.dojah.io/api/v1/kyc/nuban', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": {
"account_name": "JOHN DOE MUSA",
"identity_number": "2*****26256",
"identity_type": "BVN",
"bank": "First Bank",
"account_currency": "NGN",
"first_name": "",
"last_name": "",
"other_names": "",
"gender": "",
"dob": "",
"phone": "",
"postal_code": "",
"state_code": "",
"country_code": "",
"country_of_birth": "",
"nationality": "",
"expiry_date": "",
"address_1": "",
"address_2": ""
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Lookup NUBAN
An endpoint that allows you can identify your users through Lookup NUBAN
GET
/
api
/
v1
/
kyc
/
nuban
Lookup NUBAN
What is NUBAN?
NUBAN means Nigerian Uniform Bank Account Number. It is standardized system for numbering bank accounts in NigeriaApplication ID from dashboard
Query parameter
Account Number of user
Bank code associated with the bank
RESPONSES
json
{
"entity": {
"account_name": "JOHN DOE MUSA",
"identity_number": "2*****26256",
"identity_type": "BVN",
"bank": "First Bank",
"account_currency": "NGN",
"first_name": "",
"last_name": "",
"other_names": "",
"gender": "",
"dob": "",
"phone": "",
"postal_code": "",
"state_code": "",
"country_code": "",
"country_of_birth": "",
"nationality": "",
"expiry_date": "",
"address_1": "",
"address_2": ""
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Was this page helpful?
⌘I